Update webhook header
curl --request PUT \
--url https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations/{organizationId}/webhooks/{webhookId}/headers/{headerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "X-My-App-Id",
"value": "ems-prod-001"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: 'X-My-App-Id', value: 'ems-prod-001'})
};
fetch('https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations/{organizationId}/webhooks/{webhookId}/headers/{headerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations/{organizationId}/webhooks/{webhookId}/headers/{headerId}"
payload = {
"key": "X-My-App-Id",
"value": "ems-prod-001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations/{organizationId}/webhooks/{webhookId}/headers/{headerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'key' => 'X-My-App-Id',
'value' => 'ems-prod-001'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 9,
"webhook_id": 5,
"key": "X-My-App-Id",
"value": "ems-prod-001"
}Webhooks
Update webhook header
PUT
/
accounts
/
{accountId}
/
organizations
/
{organizationId}
/
webhooks
/
{webhookId}
/
headers
/
{headerId}
Update webhook header
curl --request PUT \
--url https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations/{organizationId}/webhooks/{webhookId}/headers/{headerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "X-My-App-Id",
"value": "ems-prod-001"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: 'X-My-App-Id', value: 'ems-prod-001'})
};
fetch('https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations/{organizationId}/webhooks/{webhookId}/headers/{headerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations/{organizationId}/webhooks/{webhookId}/headers/{headerId}"
payload = {
"key": "X-My-App-Id",
"value": "ems-prod-001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations/{organizationId}/webhooks/{webhookId}/headers/{headerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'key' => 'X-My-App-Id',
'value' => 'ems-prod-001'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 9,
"webhook_id": 5,
"key": "X-My-App-Id",
"value": "ems-prod-001"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Your account ID
Organization ID
Webhook ID
Header ID
Response
200 - application/json
Updated header

